#include <bits/stdc++.h>
using namespace std;

int main()
{
    int N;
    long int L;
    cin >> N>>L;
    long int stalaktiti[N];
    bool nadjen = false;
    int ispis = -1;
    for (int i = 0; i < N; i++) {
        cin >> stalaktiti[i];
        if (stalaktiti[i] <= L && !nadjen) {
            ispis = i + 1;
            nadjen = true;
        }
    }
    cout << ispis;  
}